Home | All Classes | Grouped Classes | Index | Search

# CL_Font::draw_character

Draws a single character to a given spot.

    	void draw_character(
    		int x, int y, unsigned int chr, float ang = 0.0, CL_GraphicContext* gc = 0);

Parameters:

x, y
  The upper-left coordinates of where to draw the character.
chr
  The character to draw the glyph of.
ang
  The amount to rotate the glyph by. The hotspot is set with CL_Font::set_glyph_rot_hotspot().
gc
  Graphic context to render to. If null, will render to the CL_Display currently set window.

Detailed description:

If there is no glyph for the given character, then nothing is drawn.

See also:

CL_Display | CL_Font | CL_GraphicContext

Questions or comments, write to the ClanLib mailing list.